Skip to navigation

Get Query Result

Retrieves the results of a query.

This method requires a query ID, which you can get only from the Run Query response.

This method can be used only when a query has completed. You can check a query’s status by calling Get Query Status.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project that contains the query you want to retrieve. You can see your project ID in the API Credentials page in your global management console.

queryIdstringRequired

Query ID returned by Run Query.

Query parameters

pageSizeintegerOptional>=1Defaults to 500
Maximum number of items to return in the response.
pageTokenstringOptional
Cursor that points to the first record of the next page of results. Get this value from the previous response.

Response

Query results retrieved.
columnslist of strings
List of the column names in the returned records.
recordslist of lists of strings

List of records, returned as an array of arrays. The inner array contains the values of the columns in the same order as returned in columns.

nextTokenstring or null
Cursor that points to the first record of the next page of results. Pass this value in the next request.

Errors

404
Not Found Error